LibreOffice: XFlatParagraph Interface Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XFlatParagraph Interface Reference

provides functionality to ... More...

Inheritance diagram for XFlatParagraph:

## Public Member Functions
string | getText ()
| get the content of the paragraph
boolean | isModified ()
| check whether the content has been modified
void | setChecked ([in] long nType, [in] boolean bVal)
| change the "checked" flag of the respective text node, i.e., mark the text node as "processed"
boolean | isChecked ([in] long nType)
| returns whether the respective text node has already been processed
com::sun::star::lang::Locale | getLanguageOfText ([in] long nPos, [in] long nLen) raises ( com::sun::star::lang::IllegalArgumentException )
| get the language of the specific text
com::sun::star::lang::Locale | getPrimaryLanguageOfText ([in] long nPos, [in] long nLen) raises ( com::sun::star::lang::IllegalArgumentException )
| get the single most probable language of the specific text, especially after getLanguageOfText fails
void | changeText ([in] long nPos, [in] long nLen, [in] string NewText, [in] sequence<::com::sun::star::beans::PropertyValue > aAttributes) raises ( com::sun::star::lang::IllegalArgumentException )
| replace the specific text with new text.
void | changeAttributes ([in] long nPos, [in] long nLen, [in] sequence<::com::sun::star::beans::PropertyValue > aAttributes) raises ( com::sun::star::lang::IllegalArgumentException )
| replace the attributes of the specific text with the given set of attributes.
sequence< long > | getLanguagePortions ()
| get a list of indexes that separate each two different languages
Public Member Functions inherited from XTextMarkup
com::sun::star::container::XStringKeyMap | getMarkupInfoContainer ()
| obtains a container to store additional user defined text markup information.
void | commitStringMarkup ([in] long nType, [in] string aIdentifier, [in] long nStart, [in] long nLength, [in] com::sun::star::container::XStringKeyMap xMarkupInfoContainer)
| submits a new markup range.
void | commitTextRangeMarkup ([in] long nType, [in] string aIdentifier, [in] com::sun::star::text::XTextRange xRange, [in] com::sun::star::container::XStringKeyMap xMarkupInfoContainer)

## Detailed Description

provides functionality to ...

Since
  OOo 3.0

## Member Function Documentation

## ◆ changeAttributes()

void changeAttributes | ( | [in] long | nPos,
|  | [in] long | nLen,
|  | [in] sequence<::com::sun::star::beans::PropertyValue > | aAttributes
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

replace the attributes of the specific text with the given set of attributes.

Parameters

  nPos | start index of the text.
  nLen | the length of the text.
  aAttributes | the given set of attributes e.g. Language.

Exceptions

  IllegalArgumentException | when any argument is wrong.

## ◆ changeText()

void changeText | ( | [in] long | nPos,
|  | [in] long | nLen,
|  | [in] string | NewText,
|  | [in] sequence<::com::sun::star::beans::PropertyValue > | aAttributes
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

replace the specific text with new text.

Parameters

  nPos | start index of the text.
  nLen | the length of the text.
  NewText | new text.
  aAttributes | the given set of attributes e.g. Language

Exceptions

  IllegalArgumentException | when any argument is wrong.

## ◆ getLanguageOfText()

com::sun::star::lang::Locale getLanguageOfText | ( | [in] long | nPos,
|  | [in] long | nLen
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

get the language of the specific text

Parameters

  nPos | start index of the text.
  nLen | the length of the text.

Returns
  the locale for the language identified. If no language could be identified, the locale will be empty.

Exceptions

  IllegalArgumentException | when any argument is wrong.

## ◆ getLanguagePortions()

sequence< long > getLanguagePortions | ( |  | ) |

get a list of indexes that separate each two different languages

Returns
  a list of indices.

## ◆ getPrimaryLanguageOfText()

com::sun::star::lang::Locale getPrimaryLanguageOfText | ( | [in] long | nPos,
|  | [in] long | nLen
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

get the single most probable language of the specific text, especially after getLanguageOfText fails

Parameters

  nPos | start index of the text.
  nLen | the length of the text.

Returns
  the locale for the language identified.

Exceptions

  IllegalArgumentException | when any argument is wrong.

## ◆ getText()

string getText | ( |  | ) |

get the content of the paragraph

Returns
  the content of the paragraph.

## ◆ isChecked()

boolean isChecked | ( | [in] long | nType | ) |

returns whether the respective text node has already been processed

Parameters

  nType | type, see TextMarkupType.

Returns
  `TRUE` if the respective text node has been checked `FALSE` otherwise.

## ◆ isModified()

boolean isModified | ( |  | ) |

check whether the content has been modified

Returns
  `TRUE` if the content has been modified, `FALSE` otherwise.

## ◆ setChecked()

void setChecked | ( | [in] long | nType,
|  | [in] boolean | bVal
| ) |  |

change the "checked" flag of the respective text node, i.e., mark the text node as "processed"

Parameters

  nType | type, see TextMarkupType.
  bVal | `TRUE` the respective text node has been processed `FALSE` the respective text node needs to be processed again later

The documentation for this interface was generated from the following file:

- com/sun/star/text/XFlatParagraph.idl